IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Ext JS / Sencha Discussion :

Erreur complilation Sencha CMD


Sujet :

Ext JS / Sencha

  1. #1
    Membre éclairé
    Avatar de abraxis
    Homme Profil pro
    Développeur Web
    Inscrit en
    mai 2007
    Messages
    439
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 44
    Localisation : France

    Informations professionnelles :
    Activité : Développeur Web
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : mai 2007
    Messages : 439
    Points : 658
    Points
    658
    Par défaut Erreur complilation Sencha CMD
    Bonjour,

    J'utilise Sencha CMD 6.5.2.15 avec ExtJS 6.5.
    J'ai généré un appli sans problème.
    J'ai créer quelques views sans problème et j'arrive à utiliser l'appli en utilisant la commande "sencha app watch".

    Par contre quand j'essais de faire un build avec "sencha app build production" j'ai l'erreur suivante :
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    [INF] Processing Build Descriptor : modern (production environment)
    [INF] Loading compiler context
    [INF] Loading app json manifest...
    [ERR] Failed to resolve dependency Ext.container.Viewport for file App.view.main.Main
    [ERR] 
    [ERR] BUILD FAILED
    [ERR] com.sencha.exceptions.ExNotFound: Unknown definition for dependency : Ext.container.Viewport
    [ERR] 
    [ERR] Total time: 4 seconds
    Dans le fichier Main.js j'ai ceci:
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    Ext.define('App.view.main.Main', {
        extend: 'Ext.container.Viewport',
        xtype: 'main',
    ...
    Si l'un d'entre vous pouvait m'indiquer à quel endroit j'ai fais une erreur ou s'il me manque une config.

    Merci par avance
    # apt-get install freedom

  2. #2
    Membre expérimenté

    Homme Profil pro
    Développeur multimédia
    Inscrit en
    juillet 2004
    Messages
    980
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Développeur multimédia
    Secteur : High Tech - Multimédia et Internet

    Informations forums :
    Inscription : juillet 2004
    Messages : 980
    Points : 1 718
    Points
    1 718
    Billets dans le blog
    1
    Par défaut
    D'après ce post https://www.sencha.com/forum/showthr...for-dependency
    il faudrait forcer la configuration du build a "classic" a la place de "modern"pour ce qui concerne :

    Processing Build Descriptor : modern (production environment)

  3. #3
    Membre éclairé
    Avatar de abraxis
    Homme Profil pro
    Développeur Web
    Inscrit en
    mai 2007
    Messages
    439
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 44
    Localisation : France

    Informations professionnelles :
    Activité : Développeur Web
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : mai 2007
    Messages : 439
    Points : 658
    Points
    658
    Par défaut
    Merci headmax, j'ai pourtant effectué plusieurs recherches mais pas je ne suis pas tombé sur cette solution.
    Je vais la tester dans la soirée
    # apt-get install freedom

  4. #4
    Membre éclairé
    Avatar de abraxis
    Homme Profil pro
    Développeur Web
    Inscrit en
    mai 2007
    Messages
    439
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 44
    Localisation : France

    Informations professionnelles :
    Activité : Développeur Web
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : mai 2007
    Messages : 439
    Points : 658
    Points
    658
    Par défaut
    Je viens de tester et cette solution fonctionne parfaitement (avec juste une autre petite modif sur le thème).

    Encore merci à toi headmax ^^
    # apt-get install freedom

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. Erreur complilation projet C++ avec devC++
    Par cédric20 dans le forum C++
    Réponses: 24
    Dernier message: 22/06/2015, 16h52
  2. Sencha Cmd
    Par forum dans le forum Téléchargez
    Réponses: 0
    Dernier message: 20/09/2012, 09h11
  3. Réponses: 0
    Dernier message: 20/09/2012, 08h54
  4. récuperer erreur java depuis CMD
    Par skouza dans le forum Exécution et industrialisation
    Réponses: 0
    Dernier message: 12/04/2011, 10h02

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo